<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncFinancialMovementResource extends JsonResource
{
    public function toArray($request)
    {
        $relationships = [];

        if($this->whenLoaded('installment', true, false)){
            $relationships['parcelas'] = SyncInstallmentResource::collection($this->installment);
        }
        return [
                "mvf_codigo" => $this->mvf_codigo,
                "mvf_descricao" => $this->mvf_descricao,
            ]+$relationships;
    }
}